## org.w3c.tools.widgets
Class ImageCache

    java.lang.Object
      |
      +--org.w3c.tools.widgets.ImageCache

public class ImageCache
extends java.lang.Object

A Basic Image Cache class.

Constructor Summary
`ImageCache()`

Method Summary
`static java.awt.Image` | `getImage(java.awt.Component c, int w, int h)` Gets an Image of the requested size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageCache

    public ImageCache()

Method Detail

### getImage

    public static java.awt.Image getImage(java.awt.Component c,
                                          int w,
                                          int h)

  Gets an Image of the requested size. Checks if an Image already exists in the cache for the current Thread and if this image is large enough. Else, creates a new Image and store it in the cache.